## clockoverlay clockoverlay — Overlays the current clock time on a video stream |

## Synopsis

    struct              GstClockOverlay;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTextOverlay
                               +----GstClockOverlay

## Properties

      "time-format"              gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | pango
author | Tim-Philipp Müller <tim@centricular.net>
class | Filter/Editor/Video

### Element Pads

name | video_sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xRGB, xBGR, RGBA, BGRA, ARGB, ABGR, RGB, BGR, I420, YV12, AYUV, YUY2, UYVY, v308, Y41B, Y42B, Y444, NV12, NV21, A420, YUV9, YVU9, IYU1, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx, xRGB, xBGR, RGBA, BGRA, ARGB, ABGR, RGB, BGR, I420, YV12, AYUV, YUY2, UYVY, v308, Y41B, Y42B, Y444, NV12, NV21, A420, YUV9, YVU9, IYU1, GRAY8 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstClockOverlay

    struct GstClockOverlay;

## Property Details

### The `"time-format"` property

      "time-format"              gchar*                : Read / Write

Format to use for time and date value, as in strftime.

Default value: "%H:%M:%S"